Commit 373859ea authored by Carlo Landmeter's avatar Carlo Landmeter

Merge commit 'ncopa/master'

parents 4195aa24 2f8ec833
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgdesc="Script to build Alpine Packages"
pkgname=abuild
pkgver=1.12
pkgver=1.14
pkgrel=0
url=http://git.alpinelinux.org/cgit/abuild/
source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2
......@@ -15,4 +15,4 @@ build() {
install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf
}
md5sums="43b2be241db52c064191a70f103cd7ec abuild-1.12.tar.bz2"
md5sums="25463a14946eab5b120851e8077679a5 abuild-1.14.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=openssh
pkgver=5.1_p1
_myver=5.1p1
pkgrel=1
pkgrel=2
pkgdesc="Port of OpenBSD's free SSH release"
url="http://www.openssh.org/portable.html"
license="as-is"
......@@ -16,6 +17,9 @@ source="ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/$pkgname-$_myver.tar.
build ()
{
cd $startdir/src/$pkgname-$_myver
sed -i -e '/_PATH_XAUTH/s:/usr/X11R6/bin/xauth:/usr/bin/xauth:' \
pathnames.h || return 1
./configure --prefix=/usr \
--with-mantype=man \
--mandir=/usr/share/man \
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=parted
pkgver=1.8.8
pkgrel=0
pkgdesc="Utility to create, destroy, resize, check and copy partitions"
url="http://www.gnu.org/software/parted/parted.html"
license="GPL3"
subpackages="$pkgname-dev $pkgname-doc"
depends="libuuid uclibc readline ncurses"
makedepends="pkgconfig e2fsprogs-dev uclibc readline-dev ncurses-dev"
source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
nocxx.patch"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr \
--disable-debug \
--disable-Werror
make || return 1
make DESTDIR="$pkgdir" install
}
md5sums="0d494591731082ec57cc18627728124a parted-1.8.8.tar.gz
28513788ba4d556ccd538867dc6205ab nocxx.patch"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=uclibc
pkgver=0.9.30.1
pkgrel=3
pkgrel=4
pkgdesc="C library for developing embedded Linux systems"
url=http://uclibc.org
license="LGPL-2"
......@@ -12,6 +12,7 @@ depends_dev="linux-headers"
source="http://uclibc.org/downloads/$_mynamever.tar.bz2
$pkgname-0.9.30.1-resolv.patch
uclibc-0.9.30.1-pthread_getattr_np.patch
uclibcconfig
"
......@@ -44,4 +45,5 @@ build() {
md5sums="1a4b84e5536ad8170563ffa88c34679c uClibc-0.9.30.1.tar.bz2
ea91460617601b6e084ead66bc3948f5 uclibc-0.9.30.1-resolv.patch
cf80c0d44a41e02f389be427ee615d61 uclibc-0.9.30.1-pthread_getattr_np.patch
a4512d5594f1b450ffbf2ff9eda6263b uclibcconfig"
--- uClibc-0.9.30.1.orig/libpthread/linuxthreads.old/sysdeps/pthread/pthread.h 2009-03-30 15:01:48.000000000 +0000
+++ uClibc-0.9.30.1/libpthread/linuxthreads.old/sysdeps/pthread/pthread.h 2009-03-30 15:48:16.000000000 +0000
@@ -288,16 +288,12 @@
__attr, size_t *__restrict __stacksize)
__THROW;
-#if 0
-/* Not yet implemented in uClibc! */
-
#ifdef __USE_GNU
/* Initialize thread attribute *ATTR with attributes corresponding to the
already running thread TH. It shall be called on uninitialized ATTR
and destroyed with pthread_attr_destroy when no longer needed. */
extern int pthread_getattr_np (pthread_t __th, pthread_attr_t *__attr) __THROW;
#endif
-#endif
/* Functions for scheduling control. */
@@ -599,6 +595,11 @@
cancelled. */
extern void pthread_testcancel (void);
+/* Return the previously set address for the stack. */
+extern int pthread_attr_getstack (__const pthread_attr_t *__restrict __attr,
+ void **__restrict __stackaddr,
+ size_t *__restrict __stacksize) __THROW;
+
/* Install a cleanup handler: ROUTINE will be called with arguments ARG
when the thread is cancelled or calls pthread_exit. ROUTINE will also
--- a/libpthread/linuxthreads.old/attr.c.orig 2007-11-22 16:55:08.000000000 +0000
+++ b/libpthread/linuxthreads.old/attr.c 2009-03-30 19:15:51.000000000 +0000
@@ -38,6 +38,14 @@
libpthread_hidden_proto(pthread_attr_getscope)
libpthread_hidden_proto(pthread_attr_setscope)
+#include <sys/resource.h>
+#include <inttypes.h>
+#include <stdio.h>
+#include <stdio_ext.h>
+#include <stdlib.h>
+#include <sys/resource.h>
+
+
/* NOTE: With uClibc I don't think we need this versioning stuff.
* Therefore, define the function pthread_attr_init() here using
* a strong symbol. */
@@ -235,4 +243,88 @@
*stacksize = attr->__stacksize;
return 0;
}
+
+
+extern int *__libc_stack_end;
+
weak_alias (__pthread_attr_getstacksize, pthread_attr_getstacksize)
+int pthread_getattr_np(pthread_t thread, pthread_attr_t *attr)
+{
+ static void *stackBase = 0;
+ static size_t stackSize = 0;
+ int ret = 0;
+ /* Stack size limit. */
+ struct rlimit rl;
+
+ /* The safest way to get the top of the stack is to read
+ /proc/self/maps and locate the line into which
+ __libc_stack_end falls. */
+ FILE *fp = fopen("/proc/self/maps", "rc");
+ if (fp == NULL)
+ ret = errno;
+ /* We need the limit of the stack in any case. */
+ else if (getrlimit (RLIMIT_STACK, &rl) != 0)
+ ret = errno;
+ else {
+ /* We need no locking. */
+ __fsetlocking (fp, FSETLOCKING_BYCALLER);
+
+ /* Until we found an entry (which should always be the case)
+ mark the result as a failure. */
+ ret = ENOENT;
+
+ char *line = NULL;
+ size_t linelen = 0;
+ uintptr_t last_to = 0;
+
+ while (! feof_unlocked (fp)) {
+ if (getdelim (&line, &linelen, '\n', fp) <= 0)
+ break;
+
+ uintptr_t from;
+ uintptr_t to;
+ if (sscanf (line, "%x-%x", &from, &to) != 2)
+ continue;
+ if (from <= (uintptr_t) __libc_stack_end
+ && (uintptr_t) __libc_stack_end < to) {
+ /* Found the entry. Now we have the info we need. */
+ attr->__stacksize = rl.rlim_cur;
+#ifdef _STACK_GROWS_UP
+ /* Don't check to enforce a limit on the __stacksize */
+ attr->__stackaddr = (void *) from;
+#else
+ attr->__stackaddr = (void *) to;
+
+ /* The limit might be too high. */
+ if ((size_t) attr->__stacksize > (size_t) attr->__stackaddr - last_to)
+ attr->__stacksize = (size_t) attr->__stackaddr - last_to;
+#endif
+
+ /* We succeed and no need to look further. */
+ ret = 0;
+ break;
+ }
+ last_to = to;
+ }
+
+ fclose (fp);
+ free (line);
+ }
+ return ret;
+}
+
+int __pthread_attr_getstack (const pthread_attr_t *attr, void **stackaddr,
+ size_t *stacksize)
+{
+ /* XXX This function has a stupid definition. The standard specifies
+ no error value but what is if no stack address was set? We simply
+ return the value we have in the member. */
+#ifndef _STACK_GROWS_UP
+ *stackaddr = (char *) attr->__stackaddr - attr->__stacksize;
+#else
+ *stackaddr = attr->__stackaddr;
+#endif
+ *stacksize = attr->__stacksize;
+ return 0;
+}
+weak_alias (__pthread_attr_getstack, pthread_attr_getstack)
......@@ -31,4 +31,4 @@ build() {
md5sums="b068ba6e444859782bbdd88f290c1abf clamsmtp-1.10.tar.gz
e84205681f64c07af9ec5b6a3dd8bc38 clamsmtp.confd
601d13d29f4426735be9a0599bb94a77 clamsmtp.initd"
161baf2fb444b67d8a08fbfe4375a12c clamsmtp.initd"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libsoup
pkgver=2.26.0
pkgrel=0
pkgdesc="Gnome HTTP Library"
url="http://www.gnome.org"
license="LGPL"
subpackages="$pkgname-dev $pkgname-doc"
depends="glib gnutls libxml2 uclibc libiconv"
makedepends="glib-dev gnutls-dev libxml2-dev libiconv-dev"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
depends_dev="glib-dev libxml2-dev gnutls-dev"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--disable-static \
--without-gnome \
|| return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
}
md5sums="9df9d2b3304213641d3214a774d75ee1 libsoup-2.26.0.tar.bz2"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=python
pkgver=2.6.1
pkgrel=1
pkgrel=2
pkgdesc="A high-level scripting language"
url="http://www.python.org"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
depends="db expat openssl zlib ncurses"
makedepends="db-dev expat-dev openssl-dev zlib-dev ncurses-dev"
depends="db expat openssl zlib ncurses uclibc"
makedepends="db-dev expat-dev openssl-dev zlib-dev ncurses-dev bzip2-dev !gettext"
source="http://www.$pkgname.org/ftp/$pkgname/$pkgver/Python-$pkgver.tar.bz2
$pkgname-2.6-internal-expat.patch
"
......
......@@ -3,11 +3,11 @@
pkgname=squid
pkgver=2.7.6
_ver=2.7.STABLE6
pkgrel=1
pkgrel=2
pkgdesc="A full-featured Web proxy cache server."
url="http://www.squid-cache.org"
license="GPL-2"
depends="openssl $pkgname-errors-english"
depends="openssl $pkgname-errors-english logrotate"
makedepends="openssl-dev perl-dev"
subpackages="$pkgname-doc
$pkgname-errors-armenian:errors_armenian
......@@ -49,6 +49,7 @@ source="http://www.squid-cache.org/Versions/v2/2.7/${pkgname}-${_ver}.tar.bz2
squid.initd
squid.confd
squid-2.7-gentoo.patch
$pkgname.logrotate
"
build() {
......@@ -76,6 +77,8 @@ build() {
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.logrotate \
"$pkgdir"/etc/logrotate.d/squid
}
......@@ -262,4 +265,5 @@ errors_ukrainian_utf8() {
md5sums="6de3a6a7a56a7ecae092f2d31a04f039 squid-2.7.STABLE6.tar.bz2
d31f293cf10a90bc3d60aa6428889db5 squid.initd
44b052db7910f386ef88ddcf69c9ba4e squid.confd
1d33108353d788b238d9a8877bf2e401 squid-2.7-gentoo.patch"
1d33108353d788b238d9a8877bf2e401 squid-2.7-gentoo.patch
58823e0b86bc2dc71d270208b7b284b4 squid.logrotate"
/var/log/squid/*.log {
daily
compress
rotate 5
missingok
nocreate
sharedscripts
postrotate
/usr/sbin/squid -k rotate
endscript
}
......@@ -31,7 +31,7 @@ build() {
}
md5sums="f2488ced5b47f359c3a1127d9ba3453c gross-svn-511.tar.bz2
f553899b62bea50c25baf6f88afe69af gross-svn.initd
37b83bd0d94f66c733d5562c0327b70f gross-svn.initd
5ca1c6e51c3243236e6564480b20279b gross-svn.confd
4b55d1c5534167946cc11376d1b05c34 gross-svn.post-install
8f6e45b98888dbb9971f7681bf431f6f gross-svn.pre-install"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=wpa_supplicant
pkgver=0.5.11
pkgrel=0
pkgdesc="A utility providing key negotiation for WPA wireless networks"
url="http://hostap.epitest.fi/wpa_supplicant"
license="GPL"
subpackages="$pkgname-doc"
depends="openssl uclibc"
makedepends="openssl-dev"
source="http://hostap.epitest.fi/releases/$pkgname-$pkgver.tar.gz
config
"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
cp ../config ./.config
sed -i 's@/usr/local@$(PREFIX)@g' Makefile
sed -i 's@dynamic_eap_methods@@g' Makefile
make || return 1
make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
install -Dm644 wpa_supplicant.conf "$pkgdir"/etc/wpa_supplicant.conf
install -Dm644 doc/docbook/wpa_supplicant.conf.5 \
"$pkgdir"/usr/share/man/man5/wpa_supplicant.conf.5 || return 1
for i in wpa_background wpa_cli wpa_passphrase wpa_supplicant; do
install -Dm644 doc/docbook/$i.8 \
"$pkgdir"/usr/share/man/man8/$i.8 || return 1
done
# install -m755 -d ""$pkgdir"/usr/share/dbus-1/system-services"
# install -m644 dbus-wpa_supplicant.service ""$pkgdir"/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service" || return 1
# sed -e 's/sbin/usr\/sbin/' -i ""$pkgdir"/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service" || return 1
# install -m755 -d ""$pkgdir"/etc/dbus-1/system.d"
# install -m644 dbus-wpa_supplicant.conf ""$pkgdir"/etc/dbus-1/system.d/fi.epitest.hostap.WPASupplicant.conf" || return 1
}
md5sums="ad320af63f735531878e592f1ffd9b06 wpa_supplicant-0.5.11.tar.gz
3db583801e91fb409a5994a08ea31838 config"
This diff is collapsed.
......@@ -7,7 +7,7 @@ url="http://www.freedesktop.org/wiki/Software/DBusBindings"
license="GPL"
subpackages="$pkgname-dev $pkgname-doc"
depends="dbus glib libiconv expat gettext"
makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev"
makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev g++ expat-dev"
source="http://dbus.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
depends_dev="glib-dev dbus-dev"
......
......@@ -7,7 +7,7 @@ url="http://www.freedesktop.org/Software/dbus"
license="GPL custom"
subpackages="$pkgname-dev $pkgname-doc"
depends="uclibc expat libx11"
makedepends="expat-dev libx11-dev pkgconfig"
makedepends="expat-dev libx11-dev pkgconfig g++"
install="$pkgname.pre-install"
source="http://$pkgname.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz
$pkgname.initd
......
......@@ -5,15 +5,19 @@ pkgrel=0
pkgdesc="Command line utilities for working with desktop entries"
url="http://www.freedesktop.org/wiki/Software/desktop-file-utils"
license="GPL"
depends="glib uclibc libiconv"
makedepends="glib-dev libiconv-dev"
source="http://www.freedesktop.org/software/$pkgname/releases/$pkgname-$pkgver.tar.gz"
depends="glib uclibc libiconv gettext"
makedepends="glib-dev libiconv-dev gettext-dev pkgconfig"
source="http://www.freedesktop.org/software/$pkgname/releases/$pkgname-$pkgver.tar.gz
nocxx.patch"
build ()
{
cd "$srcdir/desktop-file-utils-$pkgver"
cd "$srcdir"/desktop-file-utils-$pkgver
patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr || return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
}
md5sums="2fe8ebe222fc33cd4a959415495b7eed desktop-file-utils-0.15.tar.gz"
md5sums="2fe8ebe222fc33cd4a959415495b7eed desktop-file-utils-0.15.tar.gz
28513788ba4d556ccd538867dc6205ab nocxx.patch"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-adobe-100dpi
pkgver=1.0.0
pkgrel=0
pkgrel=1
pkgdesc="X.org adobe 100dpi font"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/100dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="443acfe70e26716282f9068730fe92c4 font-adobe-100dpi-1.0.0.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-adobe-75dpi
pkgver=1.0.0
pkgrel=0
pkgrel=1
pkgdesc="X.org adobe 75dpi font"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/75dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="813b5d3723c84388a938ab6732e1329c font-adobe-75dpi-1.0.0.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-adobe-utopia-100dpi
pkgver=1.0.1
pkgrel=0
pkgrel=1
pkgdesc="X.org adobe 100dpi font"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/100dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="5d28a30efef966f8dbbaff9a6619f01a font-adobe-utopia-100dpi-1.0.1.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-adobe-utopia-75dpi
pkgver=1.0.1
pkgrel=0
pkgrel=1
pkgdesc="X.org adobe 75dpi font"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/75dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="dd912284e4750023f9682812532fa033 font-adobe-utopia-75dpi-1.0.1.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-adobe-utopia-type1
pkgver=1.0.1
pkgrel=0
pkgdesc="X.org adobe utopia-type1 fonts"
url="http://xorg.freedesktop.org/"
license="custom"
depends="encodings font-alias mkfontscale mkfontdir fontconfig"
makedepends="pkgconfig font-util-dev bdftopcf"
install="$pkgname.post-install $pkgname.post-upgrade"
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
$install"
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/utopia-type1
make || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="aa7ff4bd20b961afda9c15d103b972a5 font-adobe-utopia-type1-1.0.1.tar.bz2
0d164813aa81019f31f2e3ac7c0c82bf font-adobe-utopia-type1.post-install
0d164813aa81019f31f2e3ac7c0c82bf font-adobe-utopia-type1.post-upgrade"
#!/bin/sh
echo -n "Updating font cache (TODO: implement triggers in apk)... "
fc-cache -f > /dev/null
mkfontscale /usr/share/fonts/utopia-type1
mkfontdir /usr/share/fonts/utopia-type1
echo "done."
font-adobe-utopia-type1.post-install
\ No newline at end of file
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-arabic-misc
pkgver=1.0.0
pkgrel=1
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
license="custom"
depends="encodings font-alias mkfontscale mkfontdir fontconfig"
makedepends="pkgconfig font-util-dev bdftopcf"
install="$pkgname.post-install $pkgname.post-upgrade"
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
$install"
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/misc
make || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="81595016e2ff859716fc256ebb136ba6 font-arabic-misc-1.0.0.tar.bz2
ccf8ff4d45ebd2be8d6d05882d02cfeb font-arabic-misc.post-install
ccf8ff4d45ebd2be8d6d05882d02cfeb font-arabic-misc.post-upgrade"
#!/bin/sh
echo -n "Updating font cache (TODO: implement triggers in apk)... "
fc-cache -f > /dev/null
mkfontscale /usr/share/fonts/misc
mkfontdir /usr/share/fonts/misc
echo "done."
font-arabic-misc.post-install
\ No newline at end of file
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-100dpi
pkgver=1.0.0
pkgrel=0
pkgrel=1
pkgdesc="X.Org Bigelow & Holmes bitmap fonts"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/100dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="e5592de74a5c04e3a2608800dd079197 font-bh-100dpi-1.0.0.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-75dpi
pkgver=1.0.0
pkgrel=0
pkgrel=1
pkgdesc="X.Org Bigelow & Holmes bitmap fonts"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/75dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="6e51cd02f4ce32e1393e34ab17a9b211 font-bh-75dpi-1.0.0.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-lucidatypewriter-100dpi
pkgver=1.0.0
pkgrel=0
pkgrel=1
pkgdesc="X.Org Bigelow & Holmes Lucida bitmap fonts"
url="http://xorg.freedesktop.org/"
license="custom"
......@@ -17,7 +17,7 @@ build() {
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/100dpi
make || return 1
make -j1 DESTDIR="$pkgdir" install || return 1
make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
md5sums="c44d3f730564da465993e9292a33c235 font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-lucidatypewriter-75dpi